set topdir=`pwd`
unset NORDUGRID_LOCATION
unset GLOBUS_LOCATION
unset GRID_SECURITY_DIR
unset X509_CERT_DIR
setenv NORDUGRID_LOCATION $topdir
setenv GLOBUS_LOCATION $topdir
setenv GRID_SECURITY_DIR $GLOBUS_LOCATION/etc
setenv X509_CERT_DIR     $GLOBUS_LOCATION/share/certificates
source $GLOBUS_LOCATION/etc/globus-user-env.csh 

if ( ! $?PYTHONPATH ) then
    setenv PYTHONPATH ''
else
    set DELIM=:
endif
if ( -r $NORDUGRID_LOCATION/lib/python*/site-packages/_arclib.so ) then
  setenv PYTHONPATH "/lib/python*/site-packages${DELIM}${PYTHONPATH}"
endif
setenv PYTHONPATH $NORDUGRID_LOCATION/lib/python*/site-packages

if (! -r $topdir/ng-installed) then
  $topdir/bin/ng-finalize-setup
  touch $topdir/ng-installed
endif
